<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.tashow.cloud</groupId>
        <artifactId>tashow-framework</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>tashow-framework-tenant</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>多租户</description>

    <dependencies>
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-common</artifactId>
        </dependency>

        <!-- Web 相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-security</artifactId>
        </dependency>

        <!-- DB 相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-mybatis</artifactId>
        </dependency>

        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-data-redis</artifactId>
        </dependency>

        <!-- RPC 远程调用相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-rpc</artifactId>
            <optional>true</optional>
        </dependency>

        <!-- Job 定时任务相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-job</artifactId>
            <optional>true</optional>
        </dependency>

        <!-- 消息队列相关 -->
        <dependency>
            <groupId>com.tashow.cloud</groupId>
            <artifactId>tashow-framework-mq</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.amqp</groupId>
            <artifactId>spring-rabbit</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.apache.rocketmq</groupId>
            <artifactId>rocketmq-spring-boot-starter</artifactId>
            <optional>true</optional>
        </dependency>

        <!-- Test 测试相关 -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- 工具类相关 -->
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>

    </dependencies>

</project>
